Bug 962762 - /etc/profile.d/modules.csh still not preserved on upgrade
/etc/profile.d/modules.csh still not preserved on upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: environment-modules (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 07:58 EDT by Jan Synacek
Modified: 2013-11-05 22:38 EST (History)
2 users (show)

See Also:
Fixed In Version: environment-modules-3.2.10-5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 22:38:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Specfile fix (1.43 KB, patch)
2013-05-14 07:58 EDT, Jan Synacek
no flags Details | Diff

  None (edit)
Description Jan Synacek 2013-05-14 07:58:50 EDT
Created attachment 747662 [details]
Specfile fix

Description of problem:
/etc/profile.d/modules.csh is marked as config(noreplace). However, it's a symlink and that means that the target file has to be marked as well to have the desired effect. Otherwise changes made to the file are not preserved, only changes made to *the symlink* (e.g. making it point to another file).

Version-Release number of selected component (if applicable):
environment-modules-3.2.10-4.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install the package and edit /etc/profile.d/modules.csh
2. Reinstall the package
3. The change is gone.
  
Actual results:
Changes are not preserved.

Expected results:
Changes are preserved.
Comment 1 Orion Poplawski 2013-05-14 10:59:37 EDT
Gah, thanks.  Should be fixed in environment-modules-3.2.10-5.fc20
Comment 2 Fedora End Of Life 2013-09-16 12:58:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Note You need to log in before you can comment on or make changes to this bug.